#!/bin/bash
# Curby's DebongIntel - uninstaller
# v1.00.00 2007-02-20

srcroot="DebongIntel"
myroot='/Library/StartupItems/DebongIntel'
filelist='DebongIntel StartupParameters.plist'

echo -n "Checking user ID:   "
if [[ "$UID" != "0" ]]; then
  echo "Not root!"
  echo "You need to have root privileges to run this script."
  echo "You might try running 'sudo $0'."
  exit 2
else
  echo "Root user OK"
fi

if [[ -e "$myroot" ]]; then
  rm -rf $myroot
else
  echo "Nothing was found in $myroot"
  echo "No changes were made"
  exit 1
fi

echo "DebongIntel has been uninstalled."
